/*
	Theme Name: Semplice 7 Child Theme
	Description: Child Theme for Semplice
	Author: Semplicelabs
	Template: semplice7
*/

/* Custom CSS Start */
img {
  border-radius: 9px ;
}

.image-link img{
  border-radius: 0px !important;
}

/*Dos Prompt*/

    .dos-prompt {
            background-color: black;
            color: green;
            font-family: 'Courier New', monospace;
            font-size: 18px;
            padding: 20px;
        }
        .terminal {
            white-space: pre;
        }
        .cursor {
            display: inline-block;
            width: 10px;
            height: 18px;
            background-color: green;
            animation: blink 1s steps(2, start) infinite;
        }
        @keyframes blink {
            0% { opacity: 1; }
            50% { opacity: 0; }
            100% { opacity: 1; }
        }
        #input-line {
            display: flex;
            margin-top: 10px;
        }
        #user-input {
            outline: none;
            border: none;
            background: none;
            color: green;
            font-family: inherit;
            font-size: inherit;
            caret-color: transparent;
            width: 300px;
        }
   
/*Accordion*/

.front-accordion ul li {
	
	display: inline;
	border-radius: 4px;
	background: #fff;
	padding: 0px 15px 0px 15px;
	margin-right: 5px;
    margin-bottom: 6px!important;
    font-size: 15px!important;
    color: #020202;
    white-space: nowrap; /* Verhindert das Umbruch von Wörtern */
   -moz-hyphens: none;
   -o-hyphens: none;
   -webkit-hyphens: none;
   -ms-hyphens: none;
   hyphens: none!important;
   }
   

.front-accordion ul {
   display: flex;  
   flex-wrap: wrap;
   margin-left: 0px!important;
   padding-left: 0!important;
  }


.front-accordion {
    counter-reset: section; /* Zähler zurücksetzen */
	}

.front-accordion .accordion-item {
    position: relative; /* Relative Positionierung für absolute Kinder */
	}

.front-accordion .accordion-item .title {
    position: relative; /* Positionierung für den Inhalt */
	}

.front-accordion .accordion-item .title::before {
    counter-increment: section; /* Zähler erhöhen */
    content: "0" counter(section); /* Zähler ausgeben */
    position: absolute;
    left: 0; /* Positioniere die Zahl am Anfang */
    color: #fff; /* Zahlfarbe standardmäßig auf Grau setzen */
    transition: color 0.2s ease; /* Smooth Transition für die Farbe */
	}
	
/* Titel mit Abstand */
.front-accordion .description,
.front-accordion .accordion-item .title-span {
    margin-left: 75px; /* Abstand für den Titel */
	}

/* Hover-Effekte */
.front-accordion .accordion-item:hover .title::before {
    color: #666; /* Zahlfarbe bei Hover auf Weiß setzen */
	}

/* Zustand, wenn das Accordion expanded ist */
.front-accordion .accordion-item.expanded .title::before {
    color: #666; /* Zahlfarbe auf Weiß setzen, wenn expanded */
	}

.front-accordion .accordion-item.expanded .title-span {
    text-decoration: underline; /* Unterstreichen der Schrift, wenn expanded */
	}

/* Unterstreichung im Hover-Zustand */
.front-accordion .accordion-item:hover .title-span,
.front-accordion .accordion-item.expanded .title-span {
    text-decoration: underline; /* Wort unterstreichen bei Hover und expanded */
	}
	

/*Links*/


.visit-website-link a {
	border-bottom: 1px solid currentColor;
	}
	
.visit-website-link a:hover {
	border-bottom: 0;
	}

.project-title-link a,
.footer a {
  position: relative!important;
  color: #666!important;
  text-decoration: none!important;
   }

.project-title-link a::after,
.footer a::after {
  content: ""!important;
  position: absolute!important;
  left: 0!important;
  bottom: 0!important;
  width: 0!important;
  height: 1px!important; /* Dicke der Linie */
  background-color: #666!important; /* Farbe der Linie */
  transition: width 0.3s ease!important; /* Dauer und Stil der Animation */
  }

.project-title-link a:hover::after,
.footer a:hover::after {
  width: 100%!important; /* Linie von links nach rechts erweitern */
  }
  
/*Link Reverse: Border-Bottom, hover no Border*/

.underline-link a span {
  position: relative;
  color: white;
  text-decoration: none;
  padding-bottom: 2px;
}

.underline-link a span::after {
  content: "";
  position: absolute;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 1px; /* Dicke der Linie */
  background-color: white; /* Farbe der Linie */
  transition: width 0.3s ease;
}

.underline-link a span:hover::after {
  width: 0%; /* Linie von links nach rechts erweitern */
}

/*Misc*/

#content_tqemohu7l {display: none!important;}


.no-padding {padding: 0!important;}





.img-overlay-fix {
	overflow: hidden!important;
	}
	
	




/* Custom CSS End */